Ошибка API Map API v2

Хорошо, вот что я сделал с помощью примера

  1. Получил ключ отладки с помощью keytool (убедился, что ключ отладки используется eclipse в настройках -> Android -> Build)
  2. Сгенерировал ключ командой

    $ Keytool -list -v -keystore debug.keystore -alias androiddebugkey -storepass android -keypass android

  3. Скопируйте вложенную сумму SHA1 в консоли API Google + myame:

    сумма; com.my.package

  4. Включен API карт Google v2 в том же проекте в консоли Google API

  5. Скопировал его в приложение Manifest в метаданных.

  6. Загрузили через менеджер SDK и импортировали проект google-play-services_lib и написали его как проект библиотеки. Как и ActionBarSherlock.

  7. Перед запуском я уверен, что доступны GooglePlayServices.

Manifest:

<uses-feature android:glEsVersion="0x00020000" android:required="true"/> <permission android:name="com.my.package.permission.MAPS_RECEIVE" android:protectionLevel="signature"/> <uses-permission android:name="com.my.package.permission.MAPS_RECEIVE"/> <uses-permission android:name="com.google.android.providers.gsf.permission.READ_GSERVICES"/> <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/> <uses-permission android:name="android.permission.INTERNET"/> <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION"/> 

Заявка:

 <meta-data android:name="com.google.android.maps.v2.API_KEY" android:value="debug_key"/> 

Кроме того, добавляются материалы proguard, но я не запутываю прямо сейчас.

DrugstoresMapActivity расширяет возможности SherlockFragmentActivity

 <?xml version="1.0" encoding="utf-8"?> <RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android" android:layout_width="match_parent" android:layout_height="match_parent"> <fragment android:id="@+id/map_fragment" class="com.google.android.gms.maps.SupportMapFragment" android:layout_width="match_parent" android:layout_height="match_parent"/> </RelativeLayout> 

project.properties

 target=android-17 android.library.reference.1=../google-play-services_lib android.library.reference.2=../ActionBarSherlock 

ActionBarSherlock поддерживает android-support-v4 в libs, а не основной проект, если это имеет значение.

StartupActivity гарантирует, что DrugstoresMapActivity будет запущен только в том случае, если доступны сервисы

 private void attempt() { int result = GooglePlayServicesUtil.isGooglePlayServicesAvailable(getBaseContext()); switch (result) { case ConnectionResult.SUCCESS: startActivity(new Intent(this, DrugstoresMapActivity.class)); finish(); break; default: GooglePlayServicesUtil.getErrorDialog(result, this, REQUEST_DIALOG) .show(); break; } } 

Дважды проверены ключи в порядке. Не знаю, что я пропустил здесь.

Solutions Collecting From Web of "Ошибка API Map API v2"